# Uses of Interface
org.jboss.modules.log.ModuleLogger

Packages that use ModuleLogger
Package
Description
org.jboss.modules
The primary JBoss Modules API.
org.jboss.modules.log
The logging interface for JBoss Modules.

## Uses of ModuleLogger in org.jboss.modules

Methods in org.jboss.modules that return ModuleLogger
Modifier and Type
Method
Description
`static ModuleLogger`
Module.`getModuleLogger()`
Get the logger used by the module system.
Methods in org.jboss.modules with parameters of type ModuleLogger
Modifier and Type
Method
Description
`static void`
Module.`setModuleLogger(ModuleLogger logger)`
Change the logger used by the module system.

## Uses of ModuleLogger in org.jboss.modules.log

Classes in org.jboss.modules.log that implement ModuleLogger
Modifier and Type
Class
Description
`final class`
`JDKModuleLogger`
A `ModuleLogger` which logs to a JDK logging category.
`final class`
`NoopModuleLogger`
A `ModuleLogger` implementation that does not log.
`final class`
`StreamModuleLogger`
A `ModuleLogger` implementation that logs all output (including trace) to an output or print stream.
Methods in org.jboss.modules.log that return ModuleLogger
Modifier and Type
Method
Description
`static ModuleLogger`
NoopModuleLogger.`getInstance()`